LibreOffice LibreOffice 25.8 SDK API Reference

List of all members
MSOLEObjectSystemCreator Service Reference

`import"MSOLEObjectSystemCreator.idl";`

Inheritance diagram for MSOLEObjectSystemCreator:

## Additional Inherited Members
Public Member Functions inherited from XEmbedObjectClipboardCreator
InsertedObjectInfo | createInstanceInitFromClipboard ([in] ::com::sun::star::embed::XStorage xStorage, [in] string sEntryName, [in] sequence< ::com::sun::star::beans::PropertyValue > aObjectArgs) raises ( ::com::sun::star::lang::IllegalArgumentException, ::com::sun::star::io::IOException, ::com::sun::star::uno::Exception )
| creates a new object and initializes it from the system clipboard. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

Since
  LibreOffice 4.1

The documentation for this service was generated from the following file:

- com/sun/star/embed/MSOLEObjectSystemCreator.idl